/*
 *  $Id: netlogfileheader.h,v 1.2 2001/11/02 12:38:20 dreibh Exp $
 *
 * SCTP implementation according to RFC 2960.
 * Copyright (C) 1999-2001 by Thomas Dreibholz
 *
 * Realized in co-operation between Siemens AG
 * and University of Essen, Institute of Computer Networking Technology.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * There are two mailinglists available at www.sctp.de which should be used for
 * any discussion related to this implementation.
 *
 * Contact: discussion@sctp.de
 *          dreibh@exp-math.uni-essen.de
 *
 * Purpose: NetLogger File Header
 *
 */


#ifndef NETLOGFILEHEADER_H
#define NETLOGFILEHEADER_H


#include "tdsystem.h"


namespace Coral {


/**
  * This is the Header of a netlog file.
  *
  * @short   Network Log File Header
  * @author  Thomas Dreibholz (dreibh@exp-math.uni-essen.de)
  * @version 1.0
  */
struct NetLogFileHeader
{
   char   ID[4];
   card16 Version;
   card16 EntrySize;
   card64 TimeStamp;
   card64 Interval;
   card32 Flags;
};


/**
  * ID of netlog file.
  */
#define NetLogFileHeaderID "TDNL"

/**
  * Current netlog version.
  */
#define NetLogFileHeaderVersion 0x0190

/**
  * Flags
  */
#define NLFH_Default         0
#define NLFH_ContainsStreams (1 << 0)


}


#endif
