/*
 *
 * SCTP implementation according to RFC 2960.
 * Copyright (C) 2000 by Siemens AG, Munich, Germany.
 *
 * Realized in co-operation between Siemens AG
 * and University of Essen, Institute of Computer Networking Technology.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * There are two mailinglists available at http://www.sctp.de which should be
 * used for any discussion related to this implementation.
 *
 * Contact: discussion@sctp.de
 *          Michael.Tuexen@icn.siemens.de
 *          ajung@exp-math.uni-essen.de
 *
 * Purpose: configuration parser and storage header
 * Author : Sim Woon Chiat Siemens ICM N PG U SE D2
 *
 */

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#define MAX_NO_CONFIG_PARAMS          50

typedef
struct Config_Param {

  char key[30];
  char value[100];

} configParam;


int readConfig(unsigned char *configFileName);
int closeConfig();
void printConfig();
int findValue(char *key,configParam params[MAX_NO_CONFIG_PARAMS],
		 int *noFound);

#endif
