/*
 *  $Id: sctptftp.h,v 1.2 2001/10/26 09:07:17 dreibh Exp $
 *
 * SCTP implementation according to RFC 2960.
 * Copyright (C) 1999-2001 by Thomas Dreibholz
 *
 * Realized in co-operation between Siemens AG
 * and University of Essen, Institute of Computer Networking Technology.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * There are two mailinglists available at www.sctp.de which should be used for
 * any discussion related to this implementation.
 *
 * Contact: discussion@sctp.de
 *          dreibh@exp-math.uni-essen.de
 *
 * Purpose: SCTP TFTP definitions
 *
 */


#ifndef SCTPTFTP_H
#define SCTPTFTP_H



#include "tdsystem.h"


struct TFTPPacket
{
   card8 Type;
   card8 Code;
   char  Data[262144];
};


#define TFTP_RRQ 1
#define TFTP_WRQ 2
#define TFTP_DAT 3
#define TFTP_ACK 4
#define TFTP_ERR 5


#endif
